<template>
  <div>
    <!-- 👉 The Card for Vendors -->
    <VContainer class="fill-height">
      <!-- 👉 This class is for mantaining the same SIZE All the cards -->
      <VRow align-stretch>
        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'settings-users-list' }">
                  <VIcon
                    icon="tabler-users"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Users</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              User information. You can edit, adding or create users. Also you can change the password and the role of
              the user. For external users you can add a subscriber.
            </VCardText>
          </VCard>
        </VCol>

        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'settings-events-list' }">
                  <VIcon
                    icon="tabler-bell"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Events</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              Information about system events. You can create or delete events.
            </VCardText>
          </VCard>
        </VCol>

        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                <RouterLink :to="{ name: 'settings-subscribers-list' }">
                  <VIcon
                    icon="tabler-message-check"
                    class="align-top"
                    size="22"
                  />
                  <span class="ms-2">Subscribers</span>
                </RouterLink>
              </VCardTitle>
            </VCardItem>
            <VCardText>
              Subscriber information. You can edit, adding or create subscribers. Also subscribe or unsubscribe to an
              event. Create subscription configuration.
            </VCardText>
          </VCard>
        </VCol>

        <VCol
          cols="12"
          sm="6"
          md="4"
          class="d-flex"
        >
          <VCard>
            <VCardItem>
              <VCardTitle>
                
                <RouterLink :to="{ name: 'dashboards_setting' }">
                <!--<RouterLink :to="{ name: '#' }">-->
                  <VIcon
                  icon="tabler-chart-infographic"
                  class="align-top"
                  size="22"
                  />
                  <span class="ms-2">Grafana Graphics Setting</span>
                </RouterLink>
                
              </VCardTitle>
            </VCardItem>
            <VCardText>
              Grafana Graphics Setting. You can add, modify the graphics You can see at home, and at grafana menu
            </VCardText>
          </VCard>
        </VCol>
      </VRow>

      <VRow justify="center">
        <img
          class="image-gray-trans"
          width="25%"
          src="@images/logo/cap-logo.png"
          alt="ANA"
        >
      </VRow>
    </VContainer>
  </div>
</template>

<style scoped>
.image-gray-trans {
  opacity: 0.2; /* Establece la transparencia */
  filter: grayscale(80%); /* Desatura los colores al 50% */
}

.d-flex .v-card {
  display: flex;
  flex-direction: column;
}
</style>
